Tuesday, February 9, 2010

libcurl security vulnerability is fixed in the recent release (7.20.0)

libcurl 7.20.0 is released by fixing a vulnerability described in Security Advisory February 9 2010 . Maintainers of the binary distributions are suggested to take one of the following actions as soon as possible:

A - Upgrade to curl and libcurl 7.20.0
B - Apply this patch and rebuild
C - Disable automatic content encoding decompression in your application
D - Rebuild curl without zlib support
E - change your code to use 4*CURL_MAX_WRITE_SIZE for buffer sizes

3 comments:

  1. Fantastic blog !!! Our service to remove all error of window 7 realted problem .visit this site and get a free from all error.
    How To Remove Rundll Error
    Thank you
    Aalia lyon

    ReplyDelete
  2. I am a blogger this article really helpful for me. I learned a lot with this blog and i will follow these methods to improvise my knowledge.This article is nicely explained and easy to understand. Thanks for sharing this variable information with us. keep your good work. I’m sure that this could help us to get motivated.

    - Veronica Segura
    Contact @ Custom essay writing service

    ReplyDelete